<template name="filter">
	<div class="filter {{filterClasses}}">
		{{#if showingFilters}}
			<h4 class="filter-heading">
				<i class="fa-solid fa-filter fa-fw" aria-hidden="true"></i>
				{{i18n 'find.search_filter.title' 'Filter search'}}
				<span class="filter-active-tag">
					{{i18n 'find.filter.isActive' 'active'}}
				</span>
				<div class="filter-captions-header-buttons">
					<button class="js-toggle-filters btn btn-lg btn-link p-0" type="button">
						<span class="filter-remove-btn-text">
							<i class="fa-solid fa-chevron-up"></i>
							{{i18n 'find.hideFilters' 'Remove all filters'}}
						</span>
					</button>
				</div>
			</h4>
		{{/if}}
		<div class="row">
			{{#unless showingFilters}}
				<div class="filter-actions">
					<button class="js-toggle-filters btn btn-link p-0" type="button">
						<i class="fa-solid fa-chevron-down"></i>
					</button>
				</div>
			{{/unless}}
			<div class="col filter-component">
				<h4 class="filter-component-header">
					{{i18n 'find.filter.courseStates' 'Course states'}}
				</h4>
				<div class="row gx-3">
					{{#each stateFilter in stateFilters}}
						<div class="col filter-captions-column">
							<div class="filter-caption-wrap">
								<div class="filter-caption js-filter-caption {{stateFilterClasses stateFilter}}"
									 data-filter-name="{{stateFilter.name}}"
									 title="{{stateFilter.title}}">
									<span class="filter-caption-text">
										{{stateFilter.label}}
										<i class="fa-solid fa-check fa-fw" aria-hidden="true"></i>
									</span>
								</div>
							</div>
						</div>
					{{/each}}
				</div>
				{{#if showingFilters}}
					<div class="mt-2 row gx-3">
						<div class="col-sm-4 offset-sm-8 filter-captions-column">
							<div class="filter-caption-wrap">
								<div class="filter-caption js-filter-caption-archived {{archivedFilterClasses}}"
									 title="{{i18n 'filterCaptions.archived.title' 'Show only courses that are archived' attr=true}}">
									<span class="filter-caption-text">
										{{i18n 'filterCaptions.archived.label' 'Archived'}}
										<i class="fa-solid fa-check fa-fw" aria-hidden="true"></i>
									</span>
								</div>
							</div>
						</div>
					</div>
				{{/if}}
			</div>
			{{#if showingFilters}}
				{{> additionalFilters}}
			{{/if}}
		</div>
	</div>
</template>

<template name="additionalFilters">
	<div aria-label="filter-course-roles" class="col-md-3 filter-component" role="group">
		<h4 class="filter-component-header">
			{{i18n 'find.filter.courseRoles' 'Course roles'}}
		</h4>
		{{#each role in roles}}
			{{#unless isTeam}}
			<button class="filter-course-role js-filter-course-role {{roleClasses role}}"
					data-filter-name="{{role.name}}" type="button">
				<span class="filter-course-role-icon">
					<i class="{{role.icon}} fa-fw" aria-hidden="true"></i>
				</span>
				{{role.label}}
				<i class="fa-solid fa-check" aria-hidden="true"></i>
			</button>
			{{/unless}}
		{{/each}}
	</div>
	<div class="col-md-3 filter-component">
		<h4 class="filter-component-header">
			{{i18n 'find.filter.categories' 'Categories'}}
		</h4>
		{{> filterCategories filterCategoriesAttr}}
	</div>
</template>
